<%- include('./include/header.ejs'); -%>

  <body class="hold-transition login-page">
    <div class="login-box">
      <div class="login-logo">
        <a href=""><b>Admin</b> login</a>
      </div>
      <!-- /.login-logo -->
      <div class="card">
        <div class="card-body login-card-body">
          <p class="login-box-msg">Sign in to start your session</p>
          <form id="loginForm" novalidate="novalidate">
            <div class="card-body">
              <div class="form-group">
                <label for="exampleInputEmail1">Email address</label>
                <input type="email" name="email" class="form-control" id="email" placeholder="Enter email">
              </div>
              <div class="form-group">
                <label for="exampleInputPassword1">Password</label>
                <input type="password" name="password" class="form-control" id="password"
                  placeholder="Password">
              </div>
            </div>

            <div class="card-footer">
              <button type="submit" class="btn btn-primary">Log in</button>
            </div>
          </form>
          <!-- /.social-auth-links -->

          <p class="mb-1">
            <a href="/admin/user/forgot/password/view">I forgot my password</a>
          </p>
        </div>
        <!-- /.login-card-body -->
      </div>
    </div>
    <!-- jQuery -->
    <script src="<%= process.env.BASE_URL %>/plugins/jquery/jquery.min.js"></script>
    <script src="<%= process.env.BASE_URL %>/plugins/jquery-validation/jquery.validate.min.js"></script>
    <script src="<%= process.env.BASE_URL %>/plugins/jquery-validation/additional-methods.min.js"></script>
    <script src="<%= process.env.URL %>/plugins/toastr/toastr.min.js"></script>
    <!-- Bootstrap 4 -->
    <script src="<%= process.env.BASE_URL %>/plugins/bootstrap/js/bootstrap.bundle.min.js"></script>
    <!-- AdminLTE App -->
    <script src="<%= process.env.BASE_URL %>/dist/js/adminlte.min.js"></script>
    <script src="<%= process.env.BASE_URL %>/plugins/jszip/jszip.min.js"></script>
    <script src="<%= process.env.BASE_URL %>/plugins/pdfmake/pdfmake.min.js"></script>
    <script src="<%= process.env.BASE_URL %>/plugins/pdfmake/vfs_fonts.js"></script>
    <script>
      if (localStorage.getItem("token") != null ) {
        window.location.href = '/admin/user/home/view'
      }
    </script>
    <script>
      $(document).ready(function () {
        $('#loginForm').validate({
          rules: {
            email: {
              required: true,
              email: true,
            },
            password: {
              required: true,
              minlength: 5
            }
          },
          messages: {
            email: {
              required: "Please enter a email address",
              email: "Please enter a valid email address"
            },
            password: {
              required: "Please provide a password",
              minlength: "Your password must be at least 5 characters long"
            }
          },
          errorElement: 'span',
          errorPlacement: function (error, element) {
            error.addClass('invalid-feedback');
            element.closest('.form-group').append(error);
          },
          highlight: function (element, errorClass, validClass) {
            $(element).addClass('is-invalid');
          },
          unhighlight: function (element, errorClass, validClass) {
            $(element).removeClass('is-invalid');
          }
        });

        $("#loginForm").submit(function (event) {
          if ($("#loginForm").valid()) {
            event.preventDefault()
            $.ajax({
              url: "/admin/user/login",
              method: 'post',
              headers: { "Authorization": "Bearer " + localStorage.getItem("token") },
              data: $(this).serialize(),
              dataType: 'json',
              success: function (data) {
                if (data.responseCode == 200) {
                  toastr.success(data.responseMessage)
                  localStorage.setItem('token', data.responseData.Token)
                  window.location.href = "/admin/user/home/view"
                }
                if (data.responseCode == 400) {
                  toastr.error(data.responseMessage)
                  $("#email").val("") 
                  $("#password").val("") 
                }
              },
              error: function (data) {
                console.log(data);
              },
            })
          }
        })
      })
    </script>
  </body>

  </html>